Public Member Functions

# wxFontPickerEvent Class Reference
[Events]

`#include <wx/fontpicker.h>`

Inheritance diagram for wxFontPickerEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxFontPickerCtrl.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxFontPickerEvent& event)

Event macros:

- EVT_FONTPICKER_CHANGED(id, func):
  Generated whenever the selected font changes.

##

Library: wxCore
Category: Events

See also:
  wxFontPickerCtrl

## Public Member Functions
| wxFontPickerEvent (wxObject *generator, int id, const wxFont &font)
| The constructor is not normally used by the user code.
wxFont | GetFont () const
| Retrieve the font the user has just selected.
void | SetFont (const wxFont &f)
| Set the font associated with the event.

List of all members.

## Constructor & Destructor Documentation

wxFontPickerEvent::wxFontPickerEvent | ( | wxObject * | generator,
|  | int | id,
|  | const wxFont & | font |
| ) |  |  |

The constructor is not normally used by the user code.

## Member Function Documentation

wxFont wxFontPickerEvent::GetFont | ( |  | ) | const

Retrieve the font the user has just selected.

void wxFontPickerEvent::SetFont | ( | const wxFont & | f | ) |

Set the font associated with the event.

|  | [ top ]